var Config = {pane:{gradient:{}}, sky:{gradient:{}}, sound:{}, dock:{}, ORIENTATION: {X:"x", Y:"y"}};

//base:
Config.debug = false;
Config.framerate = 60;
Config.backgroundColor = '#fff';

//piece:
Config.orientation = Config.ORIENTATION.Y;

Config.sound.isOn = true;
Config.sound.birds = "sounds/openthatwindow";
Config.sound.slide = "sounds/slide";

Config.sound.slideVolume = 1;//0..1
Config.sound.slideStopAfterInactive = 100;//duration of inactivity (during drag) after which slide sound is stopped
Config.sound.volumeMin = 0;//volume at first opening of window. Only applied if volume is supported!
Config.sound.openingMin = .02;//size of opening at which sound is at min volume, as ratio of total screen width. Only applied if volume is NOT supported!
Config.sky.gradient.stops = [ ['#231f20',0], ['#231f20',.024], ['#4f1e21',.184], ['#ed1c24',.325], ['#ba8286',.541], ['#a9a4a7',.753], ['#a7a9ac',1] ];//[ [color,ramppoint]* ], from T to B

Config.pane.gradient.stops = [ ['#50aadf',0], ['#ffffff',0.129], ['#50aadf',0.314], ['#ffffff',0.424], ['#50aadf',0.671], ['#50aadf',1] ];//[ [color,ramppoint]* ], from TL to BR corner
Config.pane.gradientMoveFactor = .1;//[0..1], 0=gradient is fixed, 1=gradient moves completely with pane
Config.pane.alpha = .3;
Config.pane.sizeOpening = .9;//ratio of total screen width used for max opening size
Config.pane.moveMode = 3;//1=move to left only, 2=move to right only, 3=both sides
Config.pane.offsetInitial = 0;

//settings for docking ('snap' like behaviour)
Config.dock.duration = 500;//in msecs
Config.dock.delay = 200;//in msecs
